class APAMReturnCode(object):
    """
    Error Codes to be returned to APAM Service when an error in User administration occurs
    """

    # Operation succeeded.
    Ok = 'OK'

    # Unknown error has occurred.
    UnknownError ='UnknownError'

    # Network error has occurred.
    NetworkError = 'NetworkError'

    # User was already added to the group.
    AlreadyAdded='AlreadyAdded'

    # User is not a member of the group.
    NotAGroupMember='NotAGroupMember'

    # Current user is currently not allowed to perform requested action.
    NotAllowed='NotAllowed'

    # Specified user name is invalid.
    InvalidUserName='InvalidUserName'

    # Specified group name is invalid.
    InvalidGroupName='InvalidGroupName'

    # Specified machineName name is invalid.
    InvalidMachineName='InvalidMachineName'

    # Group was not found.
    GroupNotFound='GroupNotFound'

    # Machine was not found.
    MachineNotFound='MachineNotFound'

    # Unable to log in with any administrator account to perform the action.
    AdminAccountError='AdminAccountError'

    # Maximum simultaneous  group membership limit reached for a user.
    Limit='Limit'

    # Requested item was not found.
    NotFound='NotFound'

    # MS VS monitor has already been started on the machine.
    AlreadyStarted='AlreadyStarted'

    # The file name is invalid.
    InvalidFileName='InvalidFileName'

    # 2 factor fa is required
    TwoFactorAuthIsRequired='TwoFactorAuthIsRequired'

    # The required claim is missing from the list of dSTS claims for environment
    RequiredClaimsMissing='RequiredClaimsMissing'

    # There is a configuration error.
    ConfigrationError='ConfigrationError'

    # Error happened during user authentication.
    AuthError='AuthError'