__author__ = "Kevin Tegtmeier"
__copyright__ = "Copyright (C) Microsoft. All rights reserved."

import os.path
import subprocess


class NspawnContainer:
    """ Represents a systemd nspawn container """

    class DirectoryNotFoundException(Exception):
        pass

    def __init__(self, directory):
        if not os.path.isdir(directory):
            raise NspawnContainer.DirectoryNotFoundException(directory)
        self._path = directory

    @property
    def path(self):
        return self._path

    def run(self, command_list):
        """ Execute command inside of the nspawn-container """

        # TODO: parse output in meaningful way once we decide how to use it
        subprocess.check_call(["/usr/bin/systemd-nspawn", "-D", self._path] + command_list)
