#!/usr/bin/env bash
# Script that replaces entries in nginx.conf and starts nginx service

set -e 
set -x

# Get script dir
SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
HOST_NAME=$( hostname )

echo ${SCRIPT_DIR}
ESCAPED_SCRIPT_DIR=$( echo ${SCRIPT_DIR} | sed -e 's/[\/&]/\\&/g' )

echo "Flatten the ${SCRIPT_DIR}/nginx.conf file"
sed -e "s/<APROOT_PLACEHOLDER>/${ESCAPED_SCRIPT_DIR}/g;s/<HOSTNAME_PLACEHOLDER>/${HOST_NAME}/g" ${SCRIPT_DIR}/nginx.conf > ${SCRIPT_DIR}/nginx.conf.flattened


echo "Starting NGINX"
nginx -c ${SCRIPT_DIR}/nginx.conf.flattened -g "daemon off;
    pid ${SCRIPT_DIR}/nginx.pid;"
#   error_log ${SCRIPT_DIR}/error.log;"
