#!/bin/bash
# Configures unattended-upgrades package to include azurecore repo too during 
# pulling packages
set -e

CONFIG_FILE="/etc/apt/apt.conf.d/50unattended-upgrades"
if grep -q -e "^\s*\"azurecore-devel\ xenial\:xenial" "${CONFIG_FILE}"
then
    echo "azurecore-devel already configured for Allowed-Origins"
else
    # Add azurecore-devel branch to the list of Allowed-Origins
    echo "Inserting \"azurecore-devel xenial:xenial;\" in ${CONFIG_FILE}"
    sed -i '/^Unattended-Upgrade::Allowed-Origins\ / a \        "azurecore-devel xenial\:xenial\"\;' ${CONFIG_FILE}
fi

if grep -q -e "^\s*\"azurecore\ trusty\:trusty" "${CONFIG_FILE}" 
then
    echo "azurecore trusty:trusty already configured for Allowed-Origins"
else
    # Add azurecore-devel branch to the list of Allowed-Origins
    echo "Inserting \"azurecore trusty:trusty;\" in ${CONFIG_FILE}"
    sed -i '/^Unattended-Upgrade::Allowed-Origins\ / a \        "azurecore trusty\:trusty\"\;' ${CONFIG_FILE}
fi
