#!/usr/bin/env python3


import argparse
import configparser
import sys
import os
import pathlib
import statsd
import inspect
from io import StringIO
from datetime import datetime

def _import_apcommon_path(apcommon):
    # Need to find and add relative ../apcommon dir to path to import apsdk et al
    # TODO: Find a better way to do this. Hint: Can also just wrap with start.sh
    common_path = os.path.realpath(
        os.path.abspath(
            os.path.join(
                os.path.split(
                    inspect.getfile(
                        inspect.currentframe()))[0], apcommon)))
    if common_path not in sys.path:
        sys.path.insert(0, common_path)

_import_apcommon_path('../apcommon')

from apsdk import env

def update_file_timestamp(filename):
    with open(filename, 'a'):
        print ("\nUpdating " + filename + " access time")
        os.utime(filename, None)

def main():
    print ("\nSTARTING")
    localwatchdogstatus_csv = env.get_data_root() + "/watchdogoutput/localwatchdogstatus.csv"

    print ("\nUpdating localwatchdogstatus.csv")
    update_file_timestamp(localwatchdogstatus_csv)

    sys.exit(os.EX_OK)

if __name__ == '__main__':
    main()


